UpdateRequestProcessorChain (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.UpdateRequestProcessorChain class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class UpdateRequestProcessorChain

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessorChain

All Implemented Interfaces:
  PluginInfoInitialized

    public final class UpdateRequestProcessorChain

extends Object
implements PluginInfoInitialized

Manages a chain of UpdateRequestProcessorFactories.

Chain can be configured via solrconfig.xml:

     <updateRequestProcessors name="key" default="true">
       <processor class="PathToClass1" />
       <processor class="PathToClass2" />
       <processor class="solr.LogUpdateProcessorFactory" >
         <int name="maxNumToLog">100</int>
       </processor>
       <processor class="solr.RunUpdateProcessorFactory" />
     </updateRequestProcessors>

Since:
  solr 1.3
See Also:
  `UpdateRequestProcessorFactory`

Constructor Summary
`UpdateRequestProcessorChain(SolrCore solrCore)`
`UpdateRequestProcessorChain(UpdateRequestProcessorFactory[] chain, SolrCore solrCore)`

Method Summary
`UpdateRequestProcessor` | `createProcessor(SolrQueryRequest req, SolrQueryResponse rsp)`
`UpdateRequestProcessorFactory[]` | `getFactories()`
`void` | `init(PluginInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateRequestProcessorChain

    public UpdateRequestProcessorChain(SolrCore solrCore)

### UpdateRequestProcessorChain

    public UpdateRequestProcessorChain(UpdateRequestProcessorFactory[] chain,
                                       SolrCore solrCore)

Method Detail

### init

    public void init(PluginInfo info)

  Specified by:
    `init` in interface `PluginInfoInitialized`

### createProcessor

    public UpdateRequestProcessor createProcessor(SolrQueryRequest req,
                                                  SolrQueryResponse rsp)

### getFactories

    public UpdateRequestProcessorFactory[] getFactories()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD